OnigCaptureTreeNodeStruct Struct Reference

`#include <oniguruma.h>`

## Data Fields

int | group
int | beg
int | end
int | allocated
int | num_childs
struct OnigCaptureTreeNodeStruct ** | childs

## Detailed Description

Definition at line 572 of file oniguruma.h.

## Field Documentation

int OnigCaptureTreeNodeStruct::allocated

Definition at line 576 of file oniguruma.h.

int OnigCaptureTreeNodeStruct::beg

Definition at line 574 of file oniguruma.h.

Referenced by match_at().

struct OnigCaptureTreeNodeStruct** OnigCaptureTreeNodeStruct::childs

Definition at line 578 of file oniguruma.h.

int OnigCaptureTreeNodeStruct::end

Definition at line 575 of file oniguruma.h.

Referenced by match_at().

int OnigCaptureTreeNodeStruct::group

Definition at line 573 of file oniguruma.h.

Referenced by match_at().

int OnigCaptureTreeNodeStruct::num_childs

Definition at line 577 of file oniguruma.h.

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h